Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#76 26-01-2022 20:52:49

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

Donc c'est bien en root qu'il faut créer le paquet et avec un no install smile
Ton post 75 c'est nickel wink



checkinstall 1.6.3, Copyright 2010 Felipe Eduardo Sanchez Diaz Duran
           This software is released under the GNU GPL.



*****************************************
**** Debian package creation selected ***
*****************************************

*** Warning: The package name "MP4Tools" contains upper case
*** Warning: letters. dpkg might not like that so I changed
*** Warning: them to lower case.

This package will be built according to these values:

0 -  Maintainer: [ root@sid ]
1 -  Summary: [ Package created with checkinstall 1.6.3 ]
2 -  Name:    [ mp4tools ]
3 -  Version: [ 3.8 ]
4 -  Release: [ 1 ]
5 -  License: [ GPL ]
6 -  Group:   [ checkinstall ]
7 -  Architecture: [ amd64 ]
8 -  Source location: [ MP4Tools-3.8 ]
9 -  Alternate source location: [  ]
10 - Requires: [  ]
11 - Recommends: [  ]
12 - Suggests: [  ]
13 - Provides: [ mp4tools ]
14 - Conflicts: [  ]
15 - Replaces: [  ]

Enter a number to change any of them or press ENTER to continue:

Installing with make install...

========================= Installation results ===========================
Making install in src
make[1] : on entre dans le répertoire « /home/alain/Téléchargements/MP4Tools-3.8/src »
make[2] : on entre dans le répertoire « /home/alain/Téléchargements/MP4Tools-3.8/src »
 /usr/bin/mkdir -p '/usr/local/bin'
  /usr/bin/install -c mp4joiner mp4splitter '/usr/local/bin'
make[2]: rien à faire pour « install-data-am ».
make[2] : on quitte le répertoire « /home/alain/Téléchargements/MP4Tools-3.8/src »
make[1] : on quitte le répertoire « /home/alain/Téléchargements/MP4Tools-3.8/src »
Making install in locale
make[1] : on entre dans le répertoire « /home/alain/Téléchargements/MP4Tools-3.8/locale »
linguas='de es es_VE fr ko hu it pl pt pt_BR ru si tr zh_CN zh_TW'; for lang in $linguas ; do \
   /usr/bin/install -c -d /usr/local/share/locale/$lang/LC_MESSAGES ; \
   /usr/bin/install -c -m 644 $lang/mp4tools.mo \
  /usr/local/share/locale/$lang/LC_MESSAGES/mp4tools.mo ; \
done
make[1] : on quitte le répertoire « /home/alain/Téléchargements/MP4Tools-3.8/locale »
make[1] : on entre dans le répertoire « /home/alain/Téléchargements/MP4Tools-3.8 »
make[2] : on entre dans le répertoire « /home/alain/Téléchargements/MP4Tools-3.8 »
make[2]: rien à faire pour « install-exec-am ».
 /usr/bin/mkdir -p '/usr/local/share/doc/mp4tools'
 /usr/bin/install -c -m 644 AUTHORS COPYING INSTALL README ChangeLog '/usr/local/share/doc/mp4tools'
make[2] : on quitte le répertoire « /home/alain/Téléchargements/MP4Tools-3.8 »
make[1] : on quitte le répertoire « /home/alain/Téléchargements/MP4Tools-3.8 »

======================== Installation successful ==========================

Copying documentation directory...
./
./COPYING
./AUTHORS
./ChangeLog
./INSTALL
./README

Copying files to the temporary directory...OK

Stripping ELF binaries and libraries...OK

Compressing man pages...OK

Building file list...OK

Building Debian package...OK

NOTE: The package will not be installed

Erasing temporary files...OK

Writing backup package...OK

Deleting temp dir...OK


**********************************************************************

 Done. The new package has been saved to

 /home/alain/Téléchargements/MP4Tools-3.8/mp4tools_3.8-1_amd64.deb
 You can install it in your system anytime using:

      dpkg -i mp4tools_3.8-1_amd64.deb

**********************************************************************

 







Bah maintenant tu peux l'installer pour voir big_smile.
La désinstallation sera mieux que si on avait fait un make install

Dernière modification par golgot200 (26-01-2022 20:58:10)

Hors ligne

#77 26-01-2022 21:05:37

Debian Alain
Membre
Lieu : Bretagne
Distrib. : unstable sid / bullseye (stable)
Noyau : Linux sid 5.18.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : Compilation sources LOGICIEL MP4Tools-3.8

sudo dpkg -i mp4tools_3.8-1_amd64.deb


Sélection du paquet mp4tools précédemment désélectionné.
(Lecture de la base de données... 454009 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de mp4tools_3.8-1_amd64.deb ...
Dépaquetage de mp4tools (3.8-1) ...
Paramétrage de mp4tools (3.8-1) ...
 



sudo dpkg -l mp4tools


Souhait=inconnU/Installé/suppRimé/Purgé/H=à garder
| État=Non/Installé/fichier-Config/dépaqUeté/échec-conFig/H=semi-installé/W=attend-traitement-déclenchements
|/ Err?=(aucune)/besoin Réinstallation (État,Err: majuscule=mauvais)
||/ Nom            Version      Architecture Description
+++-==============-============-============-=======================================
ii  mp4tools       3.8-1        amd64        Package created with checkinstall 1.6.3
 



installé mais non testé .
je retire .

sudo dpkg -r mp4tools


(Lecture de la base de données... 454071 fichiers et répertoires déjà installés.)
Suppression de mp4tools (3.8-1) ...
dpkg: avertissement: lors de la suppression de mp4tools, le répertoire « /usr/local/share/locale/zh_TW/LC_MESSAGES » n'était pas vide, donc il n'a pas été supprimé
dpkg: avertissement: lors de la suppression de mp4tools, le répertoire « /usr/local/share/locale/zh_CN/LC_MESSAGES » n'était pas vide, donc il n'a pas été supprimé
dpkg: avertissement: lors de la suppression de mp4tools, le répertoire « /usr/local/share/locale/tr/LC_MESSAGES » n'était pas vide, donc il n'a pas été supprimé
dpkg: avertissement: lors de la suppression de mp4tools, le répertoire « /usr/local/share/locale/ru/LC_MESSAGES » n'était pas vide, donc il n'a pas été supprimé
dpkg: avertissement: lors de la suppression de mp4tools, le répertoire « /usr/local/share/locale/pl/LC_MESSAGES » n'était pas vide, donc il n'a pas été supprimé
dpkg: avertissement: lors de la suppression de mp4tools, le répertoire « /usr/local/share/locale/it/LC_MESSAGES » n'était pas vide, donc il n'a pas été supprimé
dpkg: avertissement: lors de la suppression de mp4tools, le répertoire « /usr/local/share/locale/hu/LC_MESSAGES » n'était pas vide, donc il n'a pas été supprimé
dpkg: avertissement: lors de la suppression de mp4tools, le répertoire « /usr/local/share/locale/fr/LC_MESSAGES » n'était pas vide, donc il n'a pas été supprimé
dpkg: avertissement: lors de la suppression de mp4tools, le répertoire « /usr/local/share/locale/es/LC_MESSAGES » n'était pas vide, donc il n'a pas été supprimé
dpkg: avertissement: lors de la suppression de mp4tools, le répertoire « /usr/local/share/locale/de/LC_MESSAGES » n'était pas vide, donc il n'a pas été supprimé
dpkg: avertissement: lors de la suppression de mp4tools, le répertoire « /usr/local/bin » n'était pas vide, donc il n'a pas été supprimé
 



sudo dpkg -l mp4tools


dpkg-query: aucun paquet ne correspond à mp4tools

Dernière modification par Debian Alain (26-01-2022 21:10:10)

Hors ligne

#78 27-01-2022 14:02:50

patatino
Membre
Lieu : Val d'Oise
Distrib. : Debian10 (Buster) Amd64
Noyau : 4.19.0-19
(G)UI : Mate et Xfce
Inscription : 18-01-2014

Re : Compilation sources LOGICIEL MP4Tools-3.8

Possible de mettre le MP4Tools.deb créé en ligne ? Avec un grand merci.

Hors ligne

#79 27-01-2022 14:07:00

Debian Alain
Membre
Lieu : Bretagne
Distrib. : unstable sid / bullseye (stable)
Noyau : Linux sid 5.18.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : Compilation sources LOGICIEL MP4Tools-3.8

bonjour patatino big_smile  big_smile  big_smile

tu n'as pas suivi le  fil d'aide ?
tu n'as rien compris ?

c'est vrai qu'il est un peu complexe .

tu me reposera la question , je verrai çà ce soir .
là j'ai pas le temps .

amicalement .

alain .

coyotus.png

Hors ligne

#80 27-01-2022 19:29:14

patatino
Membre
Lieu : Val d'Oise
Distrib. : Debian10 (Buster) Amd64
Noyau : 4.19.0-19
(G)UI : Mate et Xfce
Inscription : 18-01-2014

Re : Compilation sources LOGICIEL MP4Tools-3.8

D'accord, à ce soir.

Hors ligne

#81 28-01-2022 10:32:10

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

@patatino

Bonjour,

malgré que robert2a n'ai pas réussit à compiler les sources sur sa debian Buster ( installation minimale ), il aurait été plus interressant que tu essaies de le faire sur ta distrib Buster, qui elle avec un peu de chance, pourrait contenir ce qu'il manque par rapport à lui.
C'est le but du post wink : arriver à t'aider à compiler pour en obtenir le paquet DEB par checkinstall. Et nous, ça nous permettrait de voir pourquoi Debian Alain, c'est passé et que pour moi sur Archlinux aussi. smile

Et éventuellement passer à la dernière stable wink

EDIT: Merci à robert2a et Debian Alain smile

Dernière modification par golgot200 (28-01-2022 10:38:13)

Hors ligne

#82 28-01-2022 11:00:46

Debian Alain
Membre
Lieu : Bretagne
Distrib. : unstable sid / bullseye (stable)
Noyau : Linux sid 5.18.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : Compilation sources LOGICIEL MP4Tools-3.8

big_smile  big_smile  big_smile

oui , mais n'oublie pas golgot200 , que je suis sous sid (unstable) .
j'ai donc souvent des paquets très récents .
je suis entièrement d'accord avec toi , je préfère que patatino apprenne .
cela lui sera beaucoup plus profitable .
je pourrai lui envoyer le deb , maintenant qu'il est compilé mais ,
le travail ayant été fait sous sid , je crains des problèmes de compatiblité (old stable) .
je peux essayer de synthétiser la démarche , à la rigeur .
si tu crois que çà peut arranger les choses .

note : par exemple le paquet gpac est en version 0.5 sous buster  et
en version 1 sous sid .

amicalement ,

alain .

coyotus.png

Hors ligne

#83 28-01-2022 11:08:00

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

@ Debian Alain

J'avais pas fait gaffe que tu était sous asid lol

Dernière modification par golgot200 (28-01-2022 11:13:51)

Hors ligne

#84 28-01-2022 11:10:04

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

Le post 20 pour commencer serait pas mal pour début ....

Hors ligne

#85 28-01-2022 11:29:17

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

@Debian Alain
Dis-moi, je fais un hors sujet.
Je suis sur un script que je ne peux pas faire essayer sur Debian à cause d'un paquet absent sur cette distribution.
Un seul exécutable à metttre dans son /usr/local/bin.
Si j'ouvre un post dans la rubrique adéquat, ça te dirait ?

Dernière modification par golgot200 (28-01-2022 11:30:19)

Hors ligne

#86 28-01-2022 11:39:59

Debian Alain
Membre
Lieu : Bretagne
Distrib. : unstable sid / bullseye (stable)
Noyau : Linux sid 5.18.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : Compilation sources LOGICIEL MP4Tools-3.8

du coup , patatino , as tu lu ceci : ?

cat INSTALL


Compilation dependencies of MP4Joiner:
    wxGTK >= 2.9.1 (http://www.wxwidgets.org/downloads/)
    MP4Box (http://gpac.wp.mines-telecom.fr/)

To build MP4Joiner type
  ./configure && make
To install DVDStyler type
  make install
 



et qu'as tu fait ?
qu'en as tu conclu ?
quelle est la dernière version de développement de wxwidgets ?
quelle est la version la plus récente de gpac ?
dans tes dépôts et sur le site ?
peux tu l'installer ? "apt install" ou paquet DEB .?

en détail , s.t.p.

amicalement ,

alain .

coyotus.png

Dernière modification par Debian Alain (28-01-2022 12:16:32)

Hors ligne

#87 28-01-2022 13:57:42

Debian Alain
Membre
Lieu : Bretagne
Distrib. : unstable sid / bullseye (stable)
Noyau : Linux sid 5.18.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : Compilation sources LOGICIEL MP4Tools-3.8

golgot200  a écrit :

@Debian Alain
Dis-moi, je fais un hors sujet.
Je suis sur un script que je ne peux pas faire essayer sur Debian à cause d'un paquet absent sur cette distribution.
Un seul exécutable à metttre dans son /usr/local/bin.
Si j'ouvre un post dans la rubrique adéquat, ça te dirait ?

si tu veux .
comme çà t'arrange .
tu me fais signe ?

amicalement ,

alain .

coyotus.png

p.s.: je viens de voir ton post , pardon .

Hors ligne

#88 28-01-2022 14:00:54

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

Ok Merci, je te dis où smile

Hors ligne

#89 28-01-2022 14:13:50

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

Hors ligne

#90 28-01-2022 21:41:04

patatino
Membre
Lieu : Val d'Oise
Distrib. : Debian10 (Buster) Amd64
Noyau : 4.19.0-19
(G)UI : Mate et Xfce
Inscription : 18-01-2014

Re : Compilation sources LOGICIEL MP4Tools-3.8

Je n'ai toujours pas réussi à fabriquer mon paquet .deb (échec de "./configure" ou succès de ce dernier puis échec de" make", bref échec final..). Pourtant ce n'est pas ma première compilation et j'ai "remis vingt fois mon ouvrage sur le métier". J'ai bien lu les conseils donnés mais en 88 posts, difficile de savoir quoi faire (comme d'ailleurs dit en commentaire dans le 22 et le 79). Un petit tuto concis et très clair, indiquant simplement les librairies à charger et les commandes à utiliser pour compiler aurait été préférable à ce déferlement désordonné de réponses (remarque probablement due à la déformation professionnelle d'un ancien prof de fac..). Pourtant si quelqu'un un veut bien le faire je l'en remercie vivement.

Dernière modification par patatino (29-01-2022 18:05:22)

Hors ligne

#91 29-01-2022 17:10:26

Debian Alain
Membre
Lieu : Bretagne
Distrib. : unstable sid / bullseye (stable)
Noyau : Linux sid 5.18.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : Compilation sources LOGICIEL MP4Tools-3.8

pour commencer , as tu téléchargé ces sources là :

http://www.wxwidgets.org/downloads/

wget  -P $HOME/Téléchargements/  https://github.com/wxWidgets/wxWidgets/releases/download/v3.1.5/wxWidgets-3.1.5.tar.bz2


cd Téléchargements/


tar xjf  /$HOME/Téléchargements/wxWidgets-3.1.5.tar.bz2


cd ~/Téléchargements/wxWidgets-3.1.5



as tu compilé ?

./autogen.sh


./configure


make


make install



et donne moi des nouvelles .

amicalement .

alain .

coyotus.png

Dernière modification par Debian Alain (29-01-2022 17:30:59)

Hors ligne

#92 29-01-2022 18:36:17

robert2a
Membre
Distrib. : Buster 10 version 10.11
Noyau : kernel buster backports
(G)UI : Mate
Inscription : 15-11-2014

Re : Compilation sources LOGICIEL MP4Tools-3.8

Pas réussit a le faire aussi sous buster (debian 10 )
mais pas trop insisté  non plus
et passé beaucoup de temps a nettoyé ce qui a servi a la compilation
Debian Alain la fait sous sid , et golgot200  sous Arch Linux (qui est une super sid )

Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#93 29-01-2022 18:36:56

patatino
Membre
Lieu : Val d'Oise
Distrib. : Debian10 (Buster) Amd64
Noyau : 4.19.0-19
(G)UI : Mate et Xfce
Inscription : 18-01-2014

Re : Compilation sources LOGICIEL MP4Tools-3.8

D'abord merci de revenir à mon post. J'ai la version 3.0.5-1 de wxWidgets d'installée. Mais Je me demande si en fait mon problème n'est pas du à Buster car je vois que les bibliothèques exigées pour compiler sont toutes supérieures à celles installées (ex : ibwxsvg3_1.5.19 demandée alors que 2:1.5.22 installée). Idem pour les autres et il faut les prendre sur "deb-multimedia", ce qui a pour conséquence de casser les paquets originaux si on ne prend pas soin de désinstaller ces derniers (mais tu dois connaître puisque tu déconseilles le site)). En fait je réussi le "./configure" mais ensuite échec dans le "make" !
Sous quelle version de Debian as-tu réussi (10 ou 11)?

Hors ligne

#94 29-01-2022 18:47:17

patatino
Membre
Lieu : Val d'Oise
Distrib. : Debian10 (Buster) Amd64
Noyau : 4.19.0-19
(G)UI : Mate et Xfce
Inscription : 18-01-2014

Re : Compilation sources LOGICIEL MP4Tools-3.8

@ robert2a

Et comment as-tu fait pour remettre tout en ordre et nettoyer ce qui était nécessaire à la compilation pour revenir à la configuration de départ, c'est à dire virer les paquets deb-multimedia et remettre ceux des dépôts ?

Hors ligne

#95 29-01-2022 19:23:49

Debian Alain
Membre
Lieu : Bretagne
Distrib. : unstable sid / bullseye (stable)
Noyau : Linux sid 5.18.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : Compilation sources LOGICIEL MP4Tools-3.8

c'est une des questions que je me pose justement  .

la version des paquets sous buster .

je me demande juste si elle n'est pas un peu dépassée .

quand on fait du développement , sous debian , je crois  qu'on utilise souvent sid .

donc , j'ai pas eu  ces problèmes de version .

bon , après , les dépendances ...

j'ai pas su me débrouiller . merci à golgot200 et à robert2a .


amicalement .

alain.

coyotus.png

Hors ligne

#96 29-01-2022 19:44:18

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

patatino a écrit :

... J'ai la version 3.0.5-1 de wxWidgets d'installée.



Bonsoir,

Tu es bien sous Buster ?

Dernière modification par golgot200 (29-01-2022 19:45:01)

Hors ligne

#97 29-01-2022 19:55:35

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

Et encore une question, pourquoi ne pas descendre de version pour MP4Tools ? La 3.7 par exemple et si ça passe pas la 3.6. Il y a bien un moment où ça passera wink

EDIT: je pense que la version 3.7 passera.

Dernière modification par golgot200 (29-01-2022 20:06:17)

Hors ligne

#98 29-01-2022 20:06:57

Debian Alain
Membre
Lieu : Bretagne
Distrib. : unstable sid / bullseye (stable)
Noyau : Linux sid 5.18.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Hors ligne

#99 29-01-2022 20:08:12

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

Hors ligne

#100 29-01-2022 22:14:39

patatino
Membre
Lieu : Val d'Oise
Distrib. : Debian10 (Buster) Amd64
Noyau : 4.19.0-19
(G)UI : Mate et Xfce
Inscription : 18-01-2014

Re : Compilation sources LOGICIEL MP4Tools-3.8

La version 3.8 32 bits ne passe pas sous XP que j'ai gardé en dual-boot,  mais il faudra que je regarde pour les versions antérieures. En ce qui  concerne Buster et la 3-7, Mp4Joiner et Mp4Slitter sont disponibles en .deb sur "deb-multimedia", mais les dépendances :- libc6 (>= 2.14), libgcc1 (>= 1:3.0), libstdc++6 (>= 5.2), libwxbase3.0-0v5 (>= 3.0.4+dfsg),   - libwxgtk-media3.0-0v5 (>= 3.0.4+dfsg), libwxgtk3.0-0v5 (>= 3.0.4+dfsg), libwxsvg3 (>= 3:1.5.16), gpac >= 0.81, ffmpeg >= 4.1.8 + une vingtaine d'autres dépendances de dépendances qui cassent le système en rendant impossible la réinstallation des logiciels des dépôts Buster !

Buster est installé sur deux micros et j'ai d'ailleurs remarqué un truc bizarre :

- un configuré avec la version 10.10 (avec Mate) et  dans lequel Synaptic permet d'installer directement Mp4joiner et Mp4Splitter, qui sont donc dans les dépôts (souces.list "standard"), il suffit juste de faire les raccourcis bureau et les icônes

- l'autre configuré avec la version 10.11 (avec Xfce) ou les deux paquets ont disparus de Synaptic, comme le paquet Playonlinux d'ailleurs....

Cela voudrait dire quoi ? Avez-vous une idée ?

PS : je n'aurai jamais pensé qu'en essayant de mettre à jour un logiciel à partir de la compilation de ses sources le sujet produirait une centaine de posts !

Hors ligne

Pied de page des forums